/*******************************************************************************
 * FoxMiniGame_Base generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxMiniGame_Base extends Actor
    abstract
    config(Minigame)
    notplaceable
    hidecategories(Navigation);

var class<FoxHudMiniGameBase> MiniGameUIClass;
var protected transient FoxHudMiniGameBase ActiveMiniGameMovie;
var const config float MinigameTime;
var protected const FoxTypes.ESpecialMove PawnSpecialMove;
var transient FoxPawn UsingPawn;
var AkEvent StartAudioEvent;
var AkEvent SucceedAudioEvent;
var AkEvent FailAudioEvent;
var AkEvent CancelAudioEvent;

defaultproperties
{
    MinigameTime=10.0
}